﻿@model FQ.MD.WEB.ViewModels.UserRoleIndexViewModel
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Roles;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Users")">@Res.Users</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Name</label>
            <label class="col-md-6">: @Model.Name</label>
        </div>
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Group</label>
            <label class="col-md-6">: @Model.Group</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6 text-right">
                <a class="btn btn-sm btn-primary" href="@Url.Action("Add", new { UserId = Model.UserId })">@Res.Add</a>
            </div>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <td width="70%">
                            @Res.Role
                        </td>
                        <td class="text-center">
                            @Res.IsActive
                        </td>
                        <td></td>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var role in Model.Roles)
                    {
                        <tr>
                            <td>
                                @role.Role
                            </td>
                            <td class="text-center">
                                @Html.Raw(role.Active)
                            </td>
                            <td class="text-right">
                                @Html.Raw(role.Actions)
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>